## telegram-cli-lua 1.4.1maemo1

=== Makefile ===
srcdir=.

TARGET_OS=$(shell uname -s)
CFLAGS=-Wall -g -O2
LDFLAGS=-Wl,-z,defs -L/usr/local/lib -L/usr/lib -L/usr/lib  
CPPFLAGS= -I/usr/local/include -I/usr/include -I/usr/include -I/usr/include/lua5.1 -I/usr/include/python3.2mu  
DEFS=-DHAVE_CONFIG_H
COMPILE_FLAGS=${CFLAGS} ${CPFLAGS} ${CPPFLAGS} ${DEFS} -Wall -Wextra -Wno-missing-field-initializers -Wno-deprecated-declarations -fno-strict-aliasing -fno-omit-frame-pointer -ggdb -Wno-unused-parameter -fPIC -Wno-unused-function
EXTRA_LIBS=-ljansson -lconfig -lz -levent -lrt   -lreadline -llua5.1  -lm -ldl -lpython3.2mu -lssl -lcrypto  
LOCAL_LDFLAGS=-rdynamic -ggdb -levent ${EXTRA_LIBS} -lpthread -lutil
LINK_FLAGS=${LDFLAGS} ${LOCAL_LDFLAGS}

ifneq (${TARGET_OS}, FreeBSD)
	LOCAL_LDFLAGS += -ldl
endif

DEP=dep
AUTO=auto
EXE=bin
OBJ=objs
LIB=libs
DIR_LIST=${DEP} ${AUTO} ${EXE} ${OBJ} ${LIB} ${DEP}/auto ${OBJ}/auto ${OBJ}/crypto ${DEP}/crypto

EXE_LIST=${EXE}/telegram-cli

TG_OBJECTS=${OBJ}/main.o ${OBJ}/loop.o ${OBJ}/interface.o ${OBJ}/lua-tg.o ${OBJ}/json-tg.o ${OBJ}/python-tg.o ${OBJ}/python-types.o

INCLUDE=-I. -I${srcdir} -I${srcdir}/tgl
CC=arm-linux-gnueabi-gcc

PREFIX?=/usr/local
INSTALL_BIN=$(PREFIX)/bin
INSTALL=install

.SUFFIXES:

.SUFFIXES: .c .h .o

all: ${EXE_LIST} ${DIR_LIST}
create_dirs_and_headers: ${DIR_LIST} ${AUTO}/auto-skip.h ${AUTO}/auto-fetch.h ${AUTO}/auto-store.h ${AUTO}/auto-autocomplete.h ${AUTO}/auto-types.h ${AUTO}/constants.h ${AUTO}/constants.h ${AUTO}/auto-skip.h ${AUTO}/auto-fetch.h ${AUTO}/auto-store.h ${AUTO}/auto-autocomplete.h ${AUTO}/auto-types.h ${AUTO}/auto-fetch-ds.h ${AUTO}/auto-free-ds.h ${AUTO}/auto-store-ds.h ${AUTO}/auto-print-ds.h
create_dirs: ${DIR_LIST}
dump-tl: ${EXE}/dump-tl-file

include ${srcdir}/Makefile.tl-parser
include ${srcdir}/Makefile.tgl

${DIR_LIST}:
	@test -d $@ || mkdir -p $@

OBJ_LIST=${TG_OBJECTS} ${TGL_OBJECTS} ${TGL_COMMON_OBJECTS} ${GENERATE_OBJECTS} ${TL_PARSER_OBJECTS} ${TGL_OBJECTS_AUTO}
DEPENDENCE=$(subst ${OBJ}/,${DEP}/,$(patsubst %.o,%.d,${OBJ_LIST}))
DEPENDENCE_LIST=${DEPENDENCE}

-include ${DEPENDENCE_LIST}

${TG_OBJECTS}: ${OBJ}/%.o: ${srcdir}/%.c | create_dirs_and_headers
	${CC} ${INCLUDE} ${COMPILE_FLAGS} -c -MP -MD -MF ${DEP}/$*.d -MQ ${OBJ}/$*.o -o $@ $<

${EXE}/telegram-cli: ${TG_OBJECTS} ${LIB}/libtgl.a
	${CC} $^ ${LINK_FLAGS} -o $@

clean:
	rm -rf ${DIR_LIST}

distclean:
	rm -rf ${DIR_LIST} config.h config.log config.status

install: all
	@mkdir -p $(INSTALL_BIN)
	$(INSTALL) telegram $(INSTALL_BIN)
	rm -rf ${DIR_LIST} config.log config.status > /dev/null || echo "all clean"

=== debian/changelog ===
telegram-cli-lua (1.4.1maemo1) unstable; urgency=low

  * Initial maemo release from kenorb-contrib fork

 -- Christian Weniger <less_to_space@web.de>  Fri, 23 Aug 2019 20:38:52 +0100

=== debian/control ===
Source: telegram-cli-lua
Section: user/network
Priority: extra
Maintainer: Christian Weniger <less_to_space@web.de>
Build-Depends: debhelper (>= 7),
		autotools-dev,
		libreadline5-dev,
		libconfig8-dev,
		libssl-dev,
		libjansson-dev,
		libevent-dev (>= 2.0.21-stable-2maemo1),
		python3.2-dev,
		liblua5.1-0-dev,
		lua5.1
Standards-Version: 3.7.2

Package: telegram-cli-lua
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: telegram-cli
Description: Command-line interface for Telegram messenger
 Telegram messenger is a cloud-based instant messaging designed for
 smart phones and similar to Whatsapp but more flexible, and
 powerful. You can send messages, photos, videos and documents to
 people who are in your phone contacts (and have Telegram). Telegram
 also supports secret chats whose provide a private (encrypted) way of
 communication.
 .
 This package contains a command-line based client for Telegram with
 the following features:
  * Colored terminal messages.
  * Message management: history, stats, etc.
  * Group chat: create and manage groups.
  * Secret chat: secured and encrypted conversations.
  * Contact management: add/edit/remove contacts.
  * Multimedia support: send/load photos and videos.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir

	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr/ --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-python CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"

override_dh_auto_install:
    # Copy .py files
	cp bin/telegram-cli $(CURDIR)/debian/telegram-cli-lua/opt/telegram-cli/bin/telegram-cli
	cp bin/generate $(CURDIR)/debian/telegram-cli-lua/opt/telegram-cli/bin/generate
	cp bin/tl-parser $(CURDIR)/debian/telegram-cli-lua/opt/telegram-cli/bin/tl-parser
	server.pub $(CURDIR)/debian/telegram-cli-lua/etc/server.pub
	tg-server.pub $(CURDIR)/debian/telegram-cli-lua/opt/telegram-cli/bin/tg-server.pub


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/tg.sgml > tg.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	#-$(MAKE) distclean
	[ ! -f Makefile ] || $(MAKE) distclean	

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tg.
	#$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	arm-linux-strip bin/telegram-cli
	arm-linux-strip bin/generate
	arm-linux-strip bin/tl-parser
	mkdir $(CURDIR)/debian/telegram-cli-lua/etc
	mkdir $(CURDIR)/debian/telegram-cli-lua/opt
	mkdir $(CURDIR)/debian/telegram-cli-lua/opt/telegram-cli
	mkdir $(CURDIR)/debian/telegram-cli-lua/opt/telegram-cli/bin/
	cp bin/telegram-cli $(CURDIR)/debian/telegram-cli-lua/opt/telegram-cli/bin/telegram-cli
	cp bin/generate $(CURDIR)/debian/telegram-cli-lua/opt/telegram-cli/bin/generate
	cp bin/tl-parser $(CURDIR)/debian/telegram-cli-lua/opt/telegram-cli/bin/tl-parser
	cp server.pub $(CURDIR)/debian/telegram-cli-lua/etc/server.pub
	cp tg-server.pub $(CURDIR)/debian/telegram-cli-lua/opt/telegram-cli/bin/tg-server.pub


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
